/* mRectangle.java */
// encoding scheme as follows
// 0,1,2,3 (players) -> 0,1,2,3
// 0,1 -> 4
// 0,2 -> 5
// 0,3 -> 6
// 1,2 -> 7
// 1,3 -> 8
// 2,3 -> 9
import java.awt.*;

public class mRectangle extends mPoint {
  int w, h, which_players, actual_board_location;
  public mRectangle(int _x, int _y, int _w, int _h, int _which_players,
										int _actual_board_location) {
    /* call mPoint's constructor */
    super(_x, _y);
    /* initial w and h */
    w = _w;
    h = _h;
		which_players = _which_players;
		actual_board_location = _actual_board_location;
  }
  /* check if position inside object */
  public boolean isInside(int _x, int _y) {
    return (x <= _x) && (_x < x+w) && (y <= _y) && (_y < y+h);
  }
  public void paint(Graphics g) {
    /* draw rectangle */
    g.setColor(color);
    g.drawRect(x, y, w, h);
  }
}
